<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/05/2003 *
 * ===============                              Last change: 07/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-overview.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Generate a simple task list or menu descriptions *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einfache Task-Liste oder Menuebeschreibungen     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Otherwise load include file 'overview-inc' (old standard overview page)
require_once(PATH."inc/modules/admin/overview-inc.php");

$JOBS_DONE = true;
// When the admin is logging in check several things first (new jobs to complete and so on)
if ($GLOBALS['action'] == "login")
{
	if (EXT_IS_ACTIVE("task"))
	{
		// When task extension is registered output advanced overview page
		$JOBS_DONE = OUTPUT_ADVANCED_OVERVIEW($result_tasks); // This function is provided by the extension 'task'
	}
	 else
	{
		// Output standart overview (provided by overview-inc.php)
		$JOBS_DONE = OUTPUT_STANDARD_OVERVIEW($result_tasks);
	}
}
// Do we have new jobs or not?
if ($JOBS_DONE)
{
	// Generate overview of all main menus
	global $menuDesription, $FATAL;
	if ((is_array($menuDesription)) && (sizeof($menuDesription) > 0)) {
		$OUT = "";
		foreach ($menuDesription as $key=>$value)
		{
			// Prepare content
			$content = array(
				'title' => $MTITLE[$key],
				'text'  => $value
			);

			// Load row template
			$OUT .= LOAD_TEMPLATE("admin_menu_hints_row", true, $content);
		}

		// Load base template
		LOAD_TEMPLATE("admin_menu_hints", false, $OUT);
	}
} elseif (!EXT_IS_ACTIVE("task")) {
	// List selected tasks on overview when task management is not active
	OUTPUT_SELECTED_TASKS($_POST, $result_tasks);
}

//
?>
